=== debian/changelog ===
evil-el (1.2.12-2) unstable; urgency=medium

  [ Sean Whitton ]
  * Fix Vcs-* URIs.

  [ Dmitry Bogatov ]
  * Run tests only if standards streams are terminals (Closes: #829299)
  * Temporary skip tests, which fails with emacs25 (Closes: #847040)

 -- Dmitry Bogatov <KAction@gnu.org>  Sat, 17 Dec 2016 16:42:09 +0300

evil-el (1.2.12-1) unstable; urgency=low

  * Initial release. (Closes: #827897)

 -- Dmitry Bogatov <KAction@gnu.org>  Fri, 01 Jul 2016 14:37:14 +0300
