=== debian/control ===
Source: evil-el
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Dmitry Bogatov <KAction@gnu.org>
Build-Depends: debhelper (>= 9), dh-elpa (>= 0.0.18), texinfo, dtach
Standards-Version: 3.9.8
Homepage: https://bitbucket.org/lyro/evil/wiki/Home
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/evil-el.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/evil-el.git

Package: elpa-evil
Architecture: all
Depends: ${misc:Depends}, emacs, ${elpa:Depends}
Built-Using: ${misc:Built-Using}
Recommends: emacs (>= 46.0)
Enhances: emacs, emacs24
Description: extensible vi layer for Emacs
 Evil is an extensible vi layer for Emacs. It emulates the main
 features of Vim, and provides facilities for writing custom
 extensions.
