=== debian/changelog ===
evil-el (1.12.17-1) unstable; urgency=medium

  [ David Krauser ]
  * Update to upstream version 1.12.17
  * Include new evil-keybindings.el
    - This provides a set of keybindings for other emacs modes
  * Remove patch that disables tests that fail in older versions.
    - These tests were fixed in upstream version 1.2.13, so the patch is no
      longer necessary.
  * Remove patch that forced evil-mode to autoload as an interactive function
    - The patch is no longer necessary. Upstream now specifies evil-mode as
      interactive in the autoload magic comment for the function.
  * Update package Standards-Version to 4.4.1
    - Drop Built-Using
  * Update package Standards-Version to 4.5.0 (no changes required)
  * Switch to debhelper-compat 12
  * Drop dh-elpa version qualifier
    - Version 1.6 of dh-elpa is the oldest version we have in the repositories,
      which is newer than the minimum version required to build this package.
      Should be safe to remove the qualifier.
  * Add Rules-Requires-Root: no
  * Remove unnecessary --parallel argument to dh
    - This argument is now enabled by default
  * Remove outdated upstream changelog
    - This changelog is many years out of date at this point, and adds clutter
      to the package that may cause confusion for users. It seems Dmitry did
      not feel strongly about keeping this changelog when it was originally
      added, so removing from the package.
  * Configure gbp to use gzip compression.
    - Upstream uses gzip for their release tarballs.
  * Configure gbp to use pristine-tar.
  * Update upstream URLs
  * Add David Krauser to uploaders (Closes: #915492)
  * Drop Dmitry Bogatov from uploaders
  * Update maintainer name and email address

  [ Nicholas D Steeves ]
  * Update Vcs links from alioth to salsa.
  * rules: Remove trailing whitespace.

 -- David Krauser <david@krauser.org>  Thu, 13 Feb 2020 22:33:42 -0500

evil-el (1.2.12-5) unstable; urgency=medium

  * Team upload.
  * Regenerate source package with quilt patches

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 15:10:53 -0300

evil-el (1.2.12-4) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 09:46:52 -0300

evil-el (1.2.12-3) unstable; urgency=medium

  * Team upload.
  * Rebuild with dh-elpa 1.13 to fix byte-compilation with unversioned
    emacs

 -- David Bremner <bremner@debian.org>  Sat, 02 Jun 2018 20:49:40 -0300
