=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	$(MAKE) info

# These tests require terminal, and the following is true:
#
#  * Buildd can't be expected to provide one
#  * Both sbuild and pbuilder has issues with pty's (#829299).
#
# That is why code below run tests only if test [ -t 1 ].
#
# -- Dmitry Bogatov <KAction@gnu.org> Wed, 14 Dec 16 06:05:23 +0300
override_dh_elpa_test:
	if [ -t 1 -a -t 0 ] ; then $(MAKE) test ; fi
