=== debian/changelog ===
evil-el (1.14.0-1) unstable; urgency=medium

  [ David Krauser ]
  * Update to upstream version 1.14.0 (Closes: #953397)
  * Switch to sphinx for documentation generation
  * Drop unused build dependency on dtach
  * Enable autopkgtests

  [ Nicholas D Steeves ]
  * Drop emacs24 from Enhances; it is a dummy transitional package in buster
    that does not exist in bullseye.
  * copyright: Add path to full-text copy of GFDL-1.3 on Debian systems,
    and add missing end quotes wherever they had been omitted.

 -- David Krauser <david@krauser.org>  Mon, 13 Jul 2020 23:25:39 -0400
