=== debian/control ===
Source: evil-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
Uploaders: David Krauser <david@krauser.org>
Build-Depends: debhelper-compat (= 12)
             , dh-elpa
             , python3-sphinx
             , texinfo
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/emacs-evil/evil
Vcs-Git: https://salsa.debian.org/emacsen-team/evil-el.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/evil-el
Testsuite: autopkgtest-pkg-elpa

Package: elpa-evil
Architecture: all
Depends: ${misc:Depends}, emacs, ${elpa:Depends}, ${sphinxdoc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: extensible vi layer for Emacs
 Evil is an extensible vi layer for Emacs. It emulates the main
 features of Vim, and provides facilities for writing custom
 extensions.
