=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,16 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with elpa
+	dh $@ --with elpa,sphinxdoc
 
+override_dh_auto_build: export http_proxy=127.0.0.1:9
+override_dh_auto_build: export https_proxy=127.0.0.1:9
 override_dh_auto_build:
-	$(MAKE) info
+	PYTHONPATH=. python3 -m sphinx -N -btexinfo doc/source/ build/info
+	makeinfo --no-split build/info/*.texi -o build/evil.info
+
+override_dh_auto_clean:
+	rm -rf build doc/source/_ext/__pycache__ test-results.txt .depend
 
 # These tests require terminal, and the following is true:
 #
