=== debian/watch ===
version=4
https://github.com/emacs-evil/evil/releases /emacs-evil/evil/archive/(.+)\.tar\.gz
