=== debian/changelog ===
evil-el (1.14.2-4) unstable; urgency=medium

  * Disable building info docs (Closes: #1099228)
    - `make docstrings` failing on Emacs 30.1 due to "Unknown JSON error".
    - Reported upstream: https://github.com/emacs-evil/evil/issues/1966.
    - Disable info handling.
  * Ensure dh_auto_clean runs to clean up after build (Closes: #1044351)
    - Use execute_after_dh_auto_clean to ensure dh_auto_clean runs.
    - This fixes build-twice-in-a-row.
  * Modernize d/watch using substitute strings to be more robust
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository-Browse, Repository.
  * Update standards version to 4.7.2, no changes needed.
  * Update copyright info for "debian/*" based on git history
  * Update Section to editors
  * Adopt package (Closes: #981120)
    - Set Debian Emacsen team as the maintainer.
    - Add myself to Uploaders.
  * Use d/clean to clean up after building
    - Drop execute_after_dh_auto_clean in d/rules; prefer d/clean
  * Drop override_dh_elpa_test now that it works in sbuild with unshare
  * Add d/salsa-ci.yml with the default template

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 15 Mar 2025 19:32:05 -0700

evil-el (1.14.2-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 26 Jul 2024 12:00:21 +0900

evil-el (1.14.2-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #981120)
  * debian/control: Remove Uploaders field.

 -- Lucian Augusto <lucian.augusto@proton.me>  Mon, 11 Dec 2023 22:17:04 -0300

evil-el (1.14.2-1) unstable; urgency=medium

  * Team upload.

  [ Nicholas D Steeves ]
  * New upstream release (Closes: #1020970).
  * Switch to merging from upstream git tags.
  * Make docstrings before running sphinx to solve new FTBFS
  * Set "EMACS_INHIBIT_AUTOMATIC_NATIVE_COMPILATION=t" in debian/rules,
    because evil-el advises set-window-buffer and others, which forces JIT
    trampoline compilation, which writes to $HOME/.emacs.d/eln-cache, which is
    a Policy violation; such writes are blocked during the package build, and
    this causes an FTBFS by design.
    "EMACS_INHIBIT_AUTOMATIC_NATIVE_COMPILATION=t" inhibits the
    Policy-violating stray writes.

  [ Sean Whitton ]
  * Add build-dep on emacs-nox|emacs >= 1:28.2+1-9.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 23 Dec 2022 12:14:18 -0700
