=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: evil-el
-Section: lisp
+Section: editors
 Priority: optional
 Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
-Uploaders: David Krauser <david@krauser.org>
-Build-Depends: debhelper-compat (= 12)
+Uploaders: Xiyue Deng <manphiz@gmail.com>
+Build-Depends: debhelper-compat (= 13)
              , dh-elpa
              , python3-sphinx
              , texinfo
+             , emacs-nox (>= 1:28.2+1-9) | emacs (>= 1:28.2+1-9)
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/emacs-evil/evil
 Vcs-Git: https://salsa.debian.org/emacsen-team/evil-el.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/evil-el
