=== debian/rules ===
#!/usr/bin/make -f

export EMACS_INHIBIT_AUTOMATIC_NATIVE_COMPILATION=t

%:
	dh $@ --with elpa,sphinxdoc

# # Temporarily disable building docs to workaround Bug#1099228
# override_dh_auto_build: export http_proxy=127.0.0.1:9
# override_dh_auto_build: export https_proxy=127.0.0.1:9
# override_dh_auto_build:
# 	make docstrings
# 	PYTHONPATH=. python3 -m sphinx -N -btexinfo doc/source/ build/info
# 	makeinfo --no-split build/info/*.texi -o build/evil.info
