=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/emacs-evil/evil/tags \
    (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
